Update Jackson to 2.4.3 #378

Closed
magnet opened this Issue Nov 21, 2014 · 1 comment

Comments

Projects
None yet
2 participants
@magnet
Contributor

magnet commented Nov 21, 2014

Please update to the latest version. :)
Thanks!

@cescoffier cescoffier added this to the 0.7 milestone Nov 25, 2014

@cescoffier cescoffier self-assigned this Nov 25, 2014

@magnet

This comment has been minimized.

Show comment
Hide comment
@magnet

magnet Nov 27, 2014

Contributor

Well, I don't mean to reopen this issue, but 2.4.4 was just released :). If there are no bad bugs reported in Jackson by the time the Wisdom 0.7 release is ready to roll, it might be interesting to upgrade. The previous Jackson update had been a few months before, and some of their bug fixes make sense.

Most of all, their OSGi packaging is terrible, which makes it impossible to use Jackson modules of different patch versions together, so Wisdom kinda forces the version to use. WDYT?

Contributor

magnet commented Nov 27, 2014

Well, I don't mean to reopen this issue, but 2.4.4 was just released :). If there are no bad bugs reported in Jackson by the time the Wisdom 0.7 release is ready to roll, it might be interesting to upgrade. The previous Jackson update had been a few months before, and some of their bug fixes make sense.

Most of all, their OSGi packaging is terrible, which makes it impossible to use Jackson modules of different patch versions together, so Wisdom kinda forces the version to use. WDYT?

cescoffier added a commit that referenced this issue Dec 4, 2014

Fix #378
Upgrade jackson version to 2.4.4

Signed-off-by: Clement Escoffier <clement.escoffier@gmail.com>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment